<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>IllegalPropertySetDataException (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="IllegalPropertySetDataException (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/IllegalPropertySetDataException.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../index-all.html">Index</a></li>
        <li><a href="../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../org/apache/poi/hpsf/HPSFRuntimeException.html"
               title="class in org.apache.poi.hpsf"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../org/apache/poi/hpsf/IllegalVariantTypeException.html"
               title="class in org.apache.poi.hpsf"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../index.html?org/apache/poi/hpsf/IllegalPropertySetDataException.html" target="_top">Frames</a>
        </li>
        <li><a href="IllegalPropertySetDataException.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#methods.inherited.from.class.org.apache.poi.hpsf.HPSFRuntimeException">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li>Method</li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hpsf</div>
    <h2 title="Class IllegalPropertySetDataException" class="title">Class IllegalPropertySetDataException</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>java.lang.Throwable</li>
                <li>
                    <ul class="inheritance">
                        <li>java.lang.Exception</li>
                        <li>
                            <ul class="inheritance">
                                <li>java.lang.RuntimeException</li>
                                <li>
                                    <ul class="inheritance">
                                        <li><a href="../../../../org/apache/poi/hpsf/HPSFRuntimeException.html"
                                               title="class in org.apache.poi.hpsf">org.apache.poi.hpsf.HPSFRuntimeException</a>
                                        </li>
                                        <li>
                                            <ul class="inheritance">
                                                <li>org.apache.poi.hpsf.IllegalPropertySetDataException</li>
                                            </ul>
                                        </li>
                                    </ul>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd>java.io.Serializable</dd>
                </dl>
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">IllegalPropertySetDataException</span>
extends <a href="../../../../org/apache/poi/hpsf/HPSFRuntimeException.html" title="class in org.apache.poi.hpsf">HPSFRuntimeException</a></pre>
                <div class="block"><p>This exception is thrown when there is an illegal value set in a
                    <a href="../../../../org/apache/poi/hpsf/PropertySet.html"
                       title="class in org.apache.poi.hpsf"><code>PropertySet</code></a>. For example, a <a
                            href="../../../../org/apache/poi/hpsf/Variant.html#VT_BOOL"><code>Variant.VT_BOOL</code></a>
                    must
                    have a value of <code>-1 (true)</code> or <code>0 (false)</code>.
                    Any other value would trigger this exception. It supports a nested
                    "reason" throwable, i.e. an exception that caused this one to be
                    thrown.</p></div>
                <dl>
                    <dt><span class="simpleTagLabel">Author:</span></dt>
                    <dd>Drew Varner(Drew.Varner atDomain sc.edu)</dd>
                    <dt><span class="seeLabel">See Also:</span></dt>
                    <dd><a href="../../../../serialized-form.html#org.apache.poi.hpsf.IllegalPropertySetDataException">Serialized
                        Form</a></dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/IllegalPropertySetDataException.html#IllegalPropertySetDataException--">IllegalPropertySetDataException</a></span>()</code>
                                    <div class="block">Constructor</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/IllegalPropertySetDataException.html#IllegalPropertySetDataException-java.lang.String-">IllegalPropertySetDataException</a></span>(java.lang.String&nbsp;msg)</code>
                                    <div class="block">Constructor</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/IllegalPropertySetDataException.html#IllegalPropertySetDataException-java.lang.String-java.lang.Throwable-">IllegalPropertySetDataException</a></span>(java.lang.String&nbsp;msg,
                                    java.lang.Throwable&nbsp;reason)</code>
                                    <div class="block">Constructor</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/IllegalPropertySetDataException.html#IllegalPropertySetDataException-java.lang.Throwable-">IllegalPropertySetDataException</a></span>(java.lang.Throwable&nbsp;reason)</code>
                                    <div class="block">Constructor</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.hpsf.HPSFRuntimeException">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.hpsf.<a
                                        href="../../../../org/apache/poi/hpsf/HPSFRuntimeException.html"
                                        title="class in org.apache.poi.hpsf">HPSFRuntimeException</a></h3>
                                <code><a href="../../../../org/apache/poi/hpsf/HPSFRuntimeException.html#getReason--">getReason</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Throwable">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Throwable</h3>
                                <code>addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage,
                                    getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace,
                                    printStackTrace, setStackTrace, toString</code></li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait,
                                    wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="IllegalPropertySetDataException--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>IllegalPropertySetDataException</h4>
                                <pre>public&nbsp;IllegalPropertySetDataException()</pre>
                                <div class="block"><p>Constructor</p></div>
                            </li>
                        </ul>
                        <a name="IllegalPropertySetDataException-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>IllegalPropertySetDataException</h4>
                                <pre>public&nbsp;IllegalPropertySetDataException(java.lang.String&nbsp;msg)</pre>
                                <div class="block"><p>Constructor</p></div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>msg</code> - The exception's message string</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="IllegalPropertySetDataException-java.lang.Throwable-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>IllegalPropertySetDataException</h4>
                                <pre>public&nbsp;IllegalPropertySetDataException(java.lang.Throwable&nbsp;reason)</pre>
                                <div class="block"><p>Constructor</p></div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>reason</code> - This exception's underlying reason</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="IllegalPropertySetDataException-java.lang.String-java.lang.Throwable-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>IllegalPropertySetDataException</h4>
                                <pre>public&nbsp;IllegalPropertySetDataException(java.lang.String&nbsp;msg,
                                       java.lang.Throwable&nbsp;reason)</pre>
                                <div class="block"><p>Constructor</p></div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>msg</code> - The exception's message string</dd>
                                    <dd><code>reason</code> - This exception's underlying reason</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/IllegalPropertySetDataException.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../index-all.html">Index</a></li>
        <li><a href="../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../org/apache/poi/hpsf/HPSFRuntimeException.html"
               title="class in org.apache.poi.hpsf"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../org/apache/poi/hpsf/IllegalVariantTypeException.html"
               title="class in org.apache.poi.hpsf"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../index.html?org/apache/poi/hpsf/IllegalPropertySetDataException.html" target="_top">Frames</a>
        </li>
        <li><a href="IllegalPropertySetDataException.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#methods.inherited.from.class.org.apache.poi.hpsf.HPSFRuntimeException">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li>Method</li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
